%define language uk-UA 
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Ukrainian
%define name mozilla-firefox-%{locale}
%define version 1.5.0.4
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/
# really comes from : http://www.mozilla.org.ua/#download

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/ff15-%language.xpi
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/products/firefox/
BuildRoot: %{_buildroot}
Requires: mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

sed -i -e 's/{5ed906d8-9b16-43c5-b48c-a466475ab892}/langpack-%{locale}@firefox.mozilla.org/' %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/install.rdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Tue Jun 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.4-1mdv2007.0
- update lang pack

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.2-1mdk
- New release 1.5.0.2

* Wed Feb 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.1-1mdk
- First release
